Tool: list_sku_groups
Lists all publicly listed SKU groups.
The following code sample shows how to use curl to call the list_sku_groups MCP tool.
| Curl Request |
|---|
curl --location 'https://cloudbilling.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "list_sku_groups", "arguments": { // provide these details according to the tool's MCP specification } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
Request message for ListSkuGroups.
ListSkuGroupsRequest
| JSON representation |
|---|
{ "pageSize": integer, "pageToken": string } |
| Fields | |
|---|---|
pageSize |
Maximum number of |
pageToken |
Page token received from a previous |
Output Schema
Response message for ListSkuGroups.
ListSkuGroupsResponse
| JSON representation |
|---|
{
"skuGroups": [
{
object ( |
| Fields | |
|---|---|
skuGroups[] |
The returned publicly listed |
nextPageToken |
Token that can be sent as |
SkuGroup
| JSON representation |
|---|
{ "name": string, "displayName": string } |
| Fields | |
|---|---|
name |
Resource name for the |
displayName |
Description of the |
Tool Annotations
Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌